services:
  homepage:
    build:
      context: .
    image: byhaider-homepage:latest
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.byhaider-homepage.rule=Host(`byhaider.dev`)"
      - "traefik.http.routers.byhaider-homepage.entrypoints=websecure"
      - "traefik.http.routers.byhaider-homepage.tls=true"
      - "traefik.http.routers.byhaider-homepage.tls.certResolver=cloudflare"
      - "traefik.http.services.byhaider-homepage.loadbalancer.server.port=80"
    networks:
      - traefik-network

networks:
  traefik-network:
    external: true